> ## Documentation Index
> Fetch the complete documentation index at: https://docs.controlplane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the access report for an org by name

> Response will contain the permissions and associated bindings (principal and granted permission) for an org if the caller is authorized to view it



## OpenAPI

````yaml get /org/{name}/-accessreport
openapi: 3.0.3
info:
  title: Control Plane Core API
  description: Copyright © 2023 Control Plane Corporation. All rights reserved.
  version: 1.0.0
servers:
  - url: https://api.cpln.io
    description: ''
security:
  - {}
  - serviceAccountKey: []
  - jwt: []
externalDocs:
  url: https://docs.controlplane.com/
  description: End-user documentation
paths:
  /org/{name}/-accessreport:
    get:
      tags:
        - org
        - access
      summary: Get the access report for an org by name
      description: >-
        Response will contain the permissions and associated bindings (principal
        and granted permission) for an org if the caller is authorized to view
        it
      parameters:
        - in: path
          name: name
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/accessreport'
        '403':
          description: Not found or not allowed to view
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    accessreport:
      type: object
      properties:
        kind:
          type: string
        permissions:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              description:
                type: string
              bindings:
                type: array
                items:
                  type: object
                  properties:
                    principalLink:
                      type: string
                    grantingPolicyLink:
                      type: string
                    grantedPermissions:
                      type: array
                      items:
                        type: string
                    match:
                      type: string
                      enum:
                        - link
                        - query
                        - all
                  additionalProperties: false
            additionalProperties: false
        created:
          type: string
          format: date-time
        links:
          type: array
          items:
            $ref: '#/components/schemas/link'
      additionalProperties: false
    error:
      type: object
      properties:
        status:
          type: integer
        message:
          type: string
        code:
          type: string
        details:
          type: object
        id:
          type: string
      additionalProperties: false
    link:
      type: object
      properties:
        rel:
          type: string
        href:
          type: string
      additionalProperties: false
  securitySchemes:
    serviceAccountKey:
      type: apiKey
      in: header
      name: Authorization
      description: Service account key can be used as API keys
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: IDP-provided token

````